OGRE-Next: Ogre::Timer Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Timer Class Reference
Core » General

Timer class. More...

`#include <OgreTimerImp.h>`

Inheritance diagram for Ogre::Timer:
[legend]

## Public Member Functions
| Timer ()
| Timer ()
| Timer ()
| Timer ()
| Timer ()
| Timer ()
| Timer constructor.
| ~Timer ()
| ~Timer ()
| ~Timer ()
| ~Timer ()
| ~Timer ()
| ~Timer ()
uint64 | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64 | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64 | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64 | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64 | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64 | getMicroseconds ()
| Returns microseconds since initialisation or last reset.
uint64 | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64 | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64 | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64 | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64 | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64 | getMicrosecondsCPU ()
| Returns microseconds since initialisation or last reset, only CPU time measured.
uint64 | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64 | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64 | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64 | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64 | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64 | getMilliseconds ()
| Returns milliseconds since initialisation or last reset.
uint64 | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
uint64 | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
uint64 | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
uint64 | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
uint64 | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
uint64 | getMillisecondsCPU ()
| Returns milliseconds since initialisation or last reset, only CPU time measured.
void | reset ()
| Resets timer.
void | reset ()
| Resets timer.
void | reset ()
| Resets timer.
void | reset ()
| Resets timer.
void | reset ()
| Resets timer.
void | reset ()
| Resets timer.
bool | setOption (const String &strKey, const void *pValue)
| Method for setting a specific option of the Timer.
bool | setOption (const String &strKey, const void *pValue)
| Method for setting a specific option of the Timer.
bool | setOption (const String &strKey, const void *pValue)
| Method for setting a specific option of the Timer.
bool | setOption (const String &strKey, const void *pValue)
| Method for setting a specific option of the Timer.
bool | setOption (const String &strKey, const void *pValue)
| Method for setting a specific option of the Timer.
bool | setOption (const String &strKey, const void *pValue)
| Method for setting a specific option of the Timer.

## Detailed Description

Timer class.

## Constructor & Destructor Documentation

## ◆ Timer() [1/6]

Ogre::Timer::Timer | ( |  | ) |

## ◆ ~Timer() [1/6]

Ogre::Timer::~Timer | ( |  | ) |

## ◆ Timer() [2/6]

Ogre::Timer::Timer | ( |  | ) |

## ◆ ~Timer() [2/6]

Ogre::Timer::~Timer | ( |  | ) |

## ◆ Timer() [3/6]

Ogre::Timer::Timer | ( |  | ) |

## ◆ ~Timer() [3/6]

Ogre::Timer::~Timer | ( |  | ) |

## ◆ Timer() [4/6]

Ogre::Timer::Timer | ( |  | ) |

## ◆ ~Timer() [4/6]

Ogre::Timer::~Timer | ( |  | ) |

## ◆ Timer() [5/6]

Ogre::Timer::Timer | ( |  | ) |

## ◆ ~Timer() [5/6]

Ogre::Timer::~Timer | ( |  | ) |

## ◆ Timer() [6/6]

Ogre::Timer::Timer | ( |  | ) |

Timer constructor.

MUST be called on same thread that calls getMilliseconds()

## ◆ ~Timer() [6/6]

Ogre::Timer::~Timer | ( |  | ) |

## Member Function Documentation

## ◆ getMicroseconds() [1/6]

uint64 Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMicroseconds() [2/6]

uint64 Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMicroseconds() [3/6]

uint64 Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMicroseconds() [4/6]

uint64 Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMicroseconds() [5/6]

uint64 Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMicroseconds() [6/6]

uint64 Ogre::Timer::getMicroseconds | ( |  | ) |

Returns microseconds since initialisation or last reset.

## ◆ getMicrosecondsCPU() [1/6]

uint64 Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

## ◆ getMicrosecondsCPU() [2/6]

uint64 Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

## ◆ getMicrosecondsCPU() [3/6]

uint64 Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

## ◆ getMicrosecondsCPU() [4/6]

uint64 Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

## ◆ getMicrosecondsCPU() [5/6]

uint64 Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

## ◆ getMicrosecondsCPU() [6/6]

uint64 Ogre::Timer::getMicrosecondsCPU | ( |  | ) |

Returns microseconds since initialisation or last reset, only CPU time measured.

## ◆ getMilliseconds() [1/6]

uint64 Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMilliseconds() [2/6]

uint64 Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMilliseconds() [3/6]

uint64 Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMilliseconds() [4/6]

uint64 Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMilliseconds() [5/6]

uint64 Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMilliseconds() [6/6]

uint64 Ogre::Timer::getMilliseconds | ( |  | ) |

Returns milliseconds since initialisation or last reset.

## ◆ getMillisecondsCPU() [1/6]

uint64 Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ getMillisecondsCPU() [2/6]

uint64 Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ getMillisecondsCPU() [3/6]

uint64 Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ getMillisecondsCPU() [4/6]

uint64 Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ getMillisecondsCPU() [5/6]

uint64 Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ getMillisecondsCPU() [6/6]

uint64 Ogre::Timer::getMillisecondsCPU | ( |  | ) |

Returns milliseconds since initialisation or last reset, only CPU time measured.

## ◆ reset() [1/6]

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ reset() [2/6]

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ reset() [3/6]

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ reset() [4/6]

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ reset() [5/6]

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ reset() [6/6]

void Ogre::Timer::reset | ( |  | ) |

Resets timer.

## ◆ setOption() [1/6]

bool Ogre::Timer::setOption | ( | const String & | strKey,
|  | const void * | pValue )
| inline

Method for setting a specific option of the Timer.

These options are usually specific for a certain implementation of the Timer class, and may (and probably will) not exist across different implementations. reset() must be called after all setOption() calls.

Parameters

  strKey | The name of the option to set
  pValue | A pointer to the value - the size should be calculated by the timer based on the key

Returns
  On success, true is returned.

  On failure, false is returned.

## ◆ setOption() [2/6]

bool Ogre::Timer::setOption | ( | const String & | strKey,
|  | const void * | pValue )
| inline

Method for setting a specific option of the Timer.

These options are usually specific for a certain implementation of the Timer class, and may (and probably will) not exist across different implementations. reset() must be called after all setOption() calls.

Parameters

  strKey | The name of the option to set
  pValue | A pointer to the value - the size should be calculated by the timer based on the key

Returns
  On success, true is returned.

  On failure, false is returned.

## ◆ setOption() [3/6]

bool Ogre::Timer::setOption | ( | const String & | strKey,
|  | const void * | pValue )
| inline

Method for setting a specific option of the Timer.

These options are usually specific for a certain implementation of the Timer class, and may (and probably will) not exist across different implementations. reset() must be called after all setOption() calls.

Parameters

  strKey | The name of the option to set
  pValue | A pointer to the value - the size should be calculated by the timer based on the key

Returns
  On success, true is returned.

  On failure, false is returned.

## ◆ setOption() [4/6]

bool Ogre::Timer::setOption | ( | const String & | strKey,
|  | const void * | pValue )
| inline

Method for setting a specific option of the Timer.

These options are usually specific for a certain implementation of the Timer class, and may (and probably will) not exist across different implementations. reset() must be called after all setOption() calls.

Parameters

  strKey | The name of the option to set
  pValue | A pointer to the value - the size should be calculated by the timer based on the key

Returns
  On success, true is returned.

  On failure, false is returned.

## ◆ setOption() [5/6]

bool Ogre::Timer::setOption | ( | const String & | strKey,
|  | const void * | pValue )
| inline

Method for setting a specific option of the Timer.

These options are usually specific for a certain implementation of the Timer class, and may (and probably will) not exist across different implementations. reset() must be called after all setOption() calls.

Parameters

  strKey | The name of the option to set
  pValue | A pointer to the value - the size should be calculated by the timer based on the key

Returns
  On success, true is returned.

  On failure, false is returned.

## ◆ setOption() [6/6]

bool Ogre::Timer::setOption | ( | const String & | strKey,
|  | const void * | pValue )

Method for setting a specific option of the Timer.

These options are usually specific for a certain implementation of the Timer class, and may (and probably will) not exist across different implementations. reset() must be called after all setOption() calls.

  Current options supported are:
  - "QueryAffinityMask" (DWORD): Set the thread affinity mask to be used to check the timer. If 'reset' has been called already this mask should overlap with the process mask that was in force at that point, and should be a power of two (a single core).

Parameters

  strKey | The name of the option to set
  pValue | A pointer to the value - the size should be calculated by the timer based on the key

Returns
  On success, true is returned.

  On failure, false is returned.

The documentation for this class was generated from the following files:

- Android/OgreTimerImp.h
- Emscripten/OgreTimerImp.h
- GLX/OgreTimerImp.h
- iOS/OgreTimerImp.h
- OSX/OgreTimerImp.h
- WIN32/OgreTimerImp.h